<?php
// WizyTówka - admin_strony.php

$form = $_POST['formularz'];

// zapis ustawień - strony / utwórz
if($form == 'strony-utworz') {
  $znaki = preg_match('/^[A-Za-zŻÓŁĆĘŚĄŹŃżółćęśąźń0-9,\s!?]+$/',$_POST['tytul']);
  $tytul = prosta_nazwa($_POST['tytul']);
  if (!empty($_POST['tytul']) and $znaki and !file_exists('dane/strony/'.$tytul)) {
    $kolejnosc = dane_o('strony/kolejnosc');
    dane_s($kolejnosc.'<WT>'.$tytul.'/','strony/kolejnosc');
    mkdir('dane/strony/'.$tytul);
    dane_s($_POST['typ'],"strony/$tytul/typ");
    dane_s($_POST['tytul'],"strony/$tytul/tytul");
    dane_s('',"strony/$tytul/".$_POST['typ']);
    $komunikat = 'Strona została utworzona.';
  }
  elseif (empty($_POST['tytul']))
    $komunikat = 'Nie podano nazwy strony.';
  elseif (!$znaki)
    $komunikat = 'Nazwa jest niewłaściwa &mdash; nie mogą występować znaki specjalne.';
  elseif (file_exists('dane/strony/'.$tytul))
    $komunikat = 'Strona o takim identyfikatorze już istnieje.';
}

// zapis ustawień - strony / usuń
elseif($form == 'strony-usun') {
  if (!empty($_POST['usun'])) {
    $typ_usuwanej_strony = dane_o('strony/'.$_POST['usun'].'/typ');
    if ($typ_usuwanej_strony == 'galeria') {
      $cala_galeria = explode('<WT>',dane_o('strony/'.$_POST['usun'].'/galeria'));
      for($a=1;$a<count($cala_galeria);$a++) {
        $bez_ukosnika = @str_replace('/','',$cala_galeria[$a]);
        @unlink('dane/galerie/'.$_POST['usun'].'/'.$bez_ukosnika);
      }
      @rmdir('dane/galerie/'.$_POST['usun']);
    }
    if ($typ_usuwanej_strony == 'miniblog') {
      $caly_miniblog = explode('<WT>',dane_o('strony/'.$_POST['usun'].'/miniblog'));
      for($a=1;$a<count($caly_miniblog);$a++) {
        $bez_ukosnika = @str_replace('/','',$caly_miniblog[$a]);
        @unlink('dane/miniblogi/'.$_POST['usun'].'/'.$bez_ukosnika.'.txt');
      }
      @rmdir('dane/miniblogi/'.$_POST['usun']);
    }
    unlink('dane/strony/'.$_POST['usun'].'/'.dane_o('strony/'.$_POST['usun'].'/typ').'.txt');
    unlink('dane/strony/'.$_POST['usun'].'/typ.txt');
    unlink('dane/strony/'.$_POST['usun'].'/tytul.txt');
    rmdir('dane/strony/'.$_POST['usun']);
    dane_s(str_replace('<WT>'.$_POST['usun'].'/','',dane_o('strony/kolejnosc')),'strony/kolejnosc');
    $komunikat = 'Strona została usunięta.';
  }
  else
    $komunikat = 'Nie wskazano strony do usunięcia.';
}

// zapis ustawień - edycja / typ: strona
elseif($form == 'edycja-strona-tresc') {
  dane_s(stripslashes($_POST['tresc']),'strony/'.$_GET['id'].'/strona');
  $komunikat = 1;
}

// zapis ustawień - edycja / typ: galeria / dodaj
elseif($form == 'edycja-galeria-dodaj') {
  $znaki = preg_match('/^[A-Za-zŻÓŁĆĘŚĄŹŃżółćęśąźń0-9,\s\.\-_]+$/',$_FILES['plik']['name']);
  if ($_FILES['plik']['errors'] == 0 and is_uploaded_file($_FILES['plik']['tmp_name']) and $znaki) {
    if (!file_exists('dane/galerie/'.$_GET['id']))  mkdir ('dane/galerie/'.$_GET['id']);
    $_FILES['plik']['name'] = prosta_nazwa($_FILES['plik']['name']);
    move_uploaded_file($_FILES['plik']['tmp_name'],'dane/galerie/'.$_GET['id'].'/'.$_FILES['plik']['name']);
    dane_s(dane_o('strony/'.$_GET['id'].'/galeria').'<WT>'.$_FILES['plik']['name'].'/','strony/'.$_GET['id'].'/galeria');
    $komunikat = 'Zdjęcie zostało dodane.';
  }
  elseif (empty($_FILES['plik']['name']))
    $komunikat = 'Nie wskazano pliku do wysłania.';
  elseif (!$znaki)
    $komunikat = 'Nazwa jest niewłaściwa &mdash; nie mogą występować znaki specjalne.';
  else
    $komunikat = 'Wystąpił błąd, spróbuj ponownie.';
}

// zapis ustawień - edycja / typ: galeria / usuń
elseif($form == 'edycja-galeria-usun') {
  if (!empty($_POST['usun'])) {
    unlink('dane/galerie/'.$_GET['id'].'/'.$_POST['usun']);
    dane_s(str_replace('<WT>'.$_POST['usun'].'/','',dane_o('strony/'.$_GET['id'].'/galeria')),'strony/'.$_GET['id'].'/galeria');
    $komunikat = 'Zdjęcie zostało usunięte.';
  }
  else
    $komunikat = 'Nie wskazano zdjęcia do usunięcia.';
}

// zapis ustawień - edycja / typ: miniblog / dodaj
elseif($form == 'edycja-miniblog-dodaj') {
  if (!file_exists('dane/miniblogi/'.$_GET['id']))  mkdir ('dane/miniblogi/'.$_GET['id']);
  $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
  dane_s(stripslashes($_POST['tresc']).'<WT>'.date($glowne[4]).'<WT>'.date("Y-m-d"),'miniblogi/'.$_GET['id'].'/'.md5(substr($_POST['tresc'],0,30)));
  dane_s(dane_o('strony/'.$_GET['id'].'/miniblog').'<WT>'.md5(substr($_POST['tresc'],0,30)).'/','strony/'.$_GET['id'].'/miniblog');
  $komunikat = 'Wpis został dodany.';
}

// zapis ustawień - edycja / typ: miniblog / usuń
elseif($form == 'edycja-miniblog-usun') {
  if (!empty($_POST['usun'])) {
    unlink('dane/miniblogi/'.$_GET['id'].'/'.$_POST['usun'].'.txt');
    dane_s(str_replace('<WT>'.$_POST['usun'].'/','',dane_o('strony/'.$_GET['id'].'/miniblog')),'strony/'.$_GET['id'].'/miniblog');
    $komunikat = 'Wpis został usunięty.';
  }
  else
    $komunikat = 'Nie wskazano wpisu do usunięcia.';
}

// zapis ustawień - edycja / typ: kontakt / formularz
elseif($form == 'edycja-kontakt-formularz') {
  $cale_kontakt = explode('<WT>',dane_o('strony/'.$_GET['id'].'/kontakt'));
  dane_s($_POST['napis-nad-formularzem'].'<WT>'.$_POST['adres-email'].'<WT>'.$cale_kontakt[2].'<WT>'.$cale_kontakt[3].'<WT>'.$cale_kontakt[4].'<WT>'.$cale_kontakt[5],'strony/'.$_GET['id'].'/kontakt');
}

// zapis ustawień - edycja / typ: kontakt / portale
elseif($form == 'edycja-kontakt-portale') {
  $cale_kontakt = explode('<WT>',dane_o('strony/'.$_GET['id'].'/kontakt'));
  dane_s($cale_kontakt[0].'<WT>'.$cale_kontakt[1].'<WT>'.$_POST['profil-facebook'].'<WT>'.$_POST['profil-nk'].'<WT>'.$_POST['profil-blip'].'<WT>'.$_POST['profil-twitter'],'strony/'.$_GET['id'].'/kontakt');
}

// zapis ustawień - edycja / ustawienia
elseif($form == 'edycja-ustawienia') {
  dane_s(stripslashes(htmlspecialchars($_POST['tytul'])),'strony/'.$_GET['id'].'/tytul');
  if ($_POST['typ'] != 'bez-zmian') {
    $poprzedni_typ = dane_o('strony/'.$_GET['id'].'/typ');
    if ($poprzedni_typ == 'galeria') {
      $cala_galeria = explode('<WT>',dane_o('strony/'.$_GET['id'].'/galeria'));
      for($a=1;$a<count($cala_galeria);$a++) {
        $bez_ukosnika = @str_replace('/','',$cala_galeria[$a]);
        @unlink('dane/galerie/'.$_GET['id'].'/'.$bez_ukosnika);
      }
      @rmdir('dane/galerie/'.$_GET['id']);
    }
    if ($poprzedni_typ == 'miniblog') {
      $caly_miniblog = explode('<WT>',dane_o('strony/'.$_GET['id'].'/miniblog'));
      for($a=1;$a<count($caly_miniblog);$a++) {
        $bez_ukosnika = @str_replace('/','',$caly_miniblog[$a]);
        @unlink('dane/miniblogi/'.$_GET['id'].'/'.$bez_ukosnika.'.txt');
      }
      @rmdir('dane/miniblogi/'.$_GET['id']);
    }
    unlink('dane/strony/'.$_GET['id'].'/'.$poprzedni_typ.'.txt');
    dane_s($_POST['typ'],'strony/'.$_GET['id'].'/typ');
    dane_s('','strony/'.$_GET['id'].'/'.$_POST['typ']);
  }
  $komunikat = 1;
}

// zapis ustawień - ustawienia / główne
elseif($form == 'ustawienia-glowne') {
  if(!preg_match('/^http\:\/\/[a-zA-Z\.\/\-0-9]+$/',$_POST['adres']))  $_POST['adres'] = $_POST['adres-stary'];
  $zapisz = $_POST['tytul'].'<WT>'.$_POST['uklad-tytulu'].'<WT>'.$_POST['autor'].'<WT>'.$_POST['adres'].'<WT>'.$_POST['data-godzina'].'<WT>'.$_POST['przyjazne-adresy'];
  dane_s($zapisz,'ustawienia/glowne');
  if ($_POST['przyjazne-adresy'] == 'tak')
    @fwrite(fopen('.htaccess','w'),"RewriteEngine on\nRewriteBase ".(substr($_SERVER['PHP_SELF'],0,strlen($_SERVER['PHP_SELF'])-10))."\n\nRewriteCond %{REQUEST_FILENAME} !-f\nRewriteCond %{REQUEST_FILENAME} !-d\nRewriteRule /?([A-Za-z0-9-]+)/?$ index.php?id=$1 [QSA,L]");
  else
    @unlink('.htaccess');
  $komunikat = 1;
}

// zapis ustawień - ustawienia / google
elseif($form == 'ustawienia-google') {
  $zapisz = htmlspecialchars($_POST['opis']).'<WT>'.htmlspecialchars($_POST['slowa-kluczowe']);
  dane_s($zapisz,'ustawienia/google');
  $komunikat = 1;
}

// zapis ustawień - ustawienia / użytkownik
elseif($form == 'ustawienia-uzytkownik') {
  if (empty($_POST['email'])) $_POST['email'] = $_POST['email-stary'];
  $zapisz = $_POST['nicedit'].'<WT>'.$_POST['black'].'<WT>'.$_POST['pomoc'];
  dane_s($zapisz,'ustawienia/uzytkownik');
  $komunikat = 1;
}

// zapis ustawień - ustawienia / nowe hasło
elseif($form == 'ustawienia-nowe-haslo') {
  if ($_POST['nowe-haslo-1'] == $_POST['nowe-haslo-2'] and !empty($_POST['nowe-haslo-1'])) {
    dane_s(md5($_POST['nowe-haslo-1']),'uzytkownik/haslo');
    $komunikat = 'Hasło zostało zmienione.';
  }
  elseif ($_POST['nowe-haslo-1'] != $_POST['nowe-haslo-2'])
    $komunikat = 'Hasła są róźne!';
  else
    $komunikat = 'Hasła są puste!';
}

// zapis ustawień - wygląd / podstawowe
elseif($form == 'wyglad-podstawowe') {
  $zapisz = $_POST['kolor-tekstu'].'<WT>'.$_POST['kolor-tla'].'<WT>'.$_POST['szerokosc'].'<WT>'.$_POST['rozmiar-czcionki'].'<WT>'.$_POST['czcionka'];
  dane_s($zapisz,'wyglad/podstawowe');
  $komunikat = 1;
}

// zapis ustawień - wygląd / zaawansowane
elseif($form == 'wyglad-zaawansowane') {
  if (!empty($_POST['php']))  dane_s(stripslashes($_POST['php']),'wyglad/szablon');
  if (!empty($_POST['css']))  fwrite(fopen('dane/styl.css','w'),stripslashes($_POST['css']));
  if ($_POST['domyslny-php'] == 'tak')  dane_s(file_get_contents('system/domyslne/szablon.txt'),'wyglad/szablon');
  if ($_POST['domyslny-css'] == 'tak')  fwrite(fopen('dane/styl.css','w'),file_get_contents('system/domyslne/styl.css'));
  $komunikat = 1;
}

// zapis ustawień - statystyki / licznik
elseif($form == 'statystyki-licznik') {
  dane_s($_POST['tekst-licznika'].'<WT>'.$_POST['wlaczony'],'statystyki/licznik');
  $komunikat = 1;
}

// zapis ustawień - statystyki / zewnetrzne
elseif($form == 'statystyki-zewnetrzne') {
  dane_s(stripslashes($_POST['kod-zewnetrznych-statystyk']),'statystyki/zewnetrzne');
  $komunikat = 1;
}

// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

// komunikat
if(!empty($komunikat)) {
  if($komunikat == 1)
    $komunikat = 'Zmiany zostały zapisane.';
  echo "    <p id=\"komunikat\" onclick=\"document.getElementById('komunikat').style.display = 'none';\">$komunikat</p>\n";
}

// --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

$a = $_GET['a'];

// panel użytkownika - strony
if(empty($a) or $a == 'strony') {
?>
    <h2>Strony</h2>
    <form method="post">
      <table class="lista">
        <caption>Lista istniejących stron</caption>
        <tr><th>Tytuł</th><th>Identyfikator</th><th class="mniejsze">Typ</th><th class="mniejsze">Usuń</th></tr>
        <tr><td><a href="?a=edycja&amp;id=strona-glowna&amp;kod=<?php echo $_GET['kod'] ?>" class="menu"><?php echo dane_o('strony/strona-glowna/tytul'); ?></a></td><td>strona-glowna</td><td class="mniejsze"><?php echo dane_o('strony/strona-glowna/typ') ?></td><td class="mniejsze">&nbsp;</td></tr> 
<?php
  $kolejnosc = explode('<WT>',dane_o('strony/kolejnosc'));
  for($a=1;$a<count($kolejnosc);$a++) {
    if (!empty($kolejnosc[$a])) {
      $bez_ukosnika = str_replace('/','',$kolejnosc[$a]);
      echo "        <tr><td><a href=\"?a=edycja&amp;id=$bez_ukosnika&amp;kod=".$_GET['kod']."\" class=\"menu\">".dane_o("strony/$bez_ukosnika/tytul")."</a></td><td>$bez_ukosnika</td><td class=\"mniejsze\">".dane_o("strony/$bez_ukosnika/typ")."</td><td class=\"mniejsze\"><input type=\"radio\" name=\"usun\" value=\"$bez_ukosnika\" title=\"Tej czynności nie można cofnąć!\" /></td></tr>\n";
    }
  }
?>
        <tr><td>&nbsp;</td><td>&nbsp;</td><td class="mniejsze">&nbsp;</td><td class="mniejsze"><input type="submit" value="Usuń" title="Tej czynności nie można cofnąć!" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="strony-usun" />
      <p class="pomoc">Aby edytować stronę należy kliknąć jej tytuł.</p>
    </form>
    <form method="post">
      <table>
        <caption>Utwórz nową stronę</caption>
        <tr><td>Typ:</td><td><label title="Zwykła statyczna strona."><input type="radio" name="typ" value="strona" checked /> strona</label> <label title="Strona zawierająca efektowną galerię ze zdjęciami."><input type="radio" name="typ" value="galeria"/> galeria</label> <label title="Strona zawierająca kolejne krótkie wpisy."><input type="radio" name="typ" value="miniblog"/> miniblog</label>  <label title="Strona z formularzem kontaktowym."><input type="radio" name="typ" value="kontakt"/> kontakt</label></td></tr>
        <tr><td>Tytuł:</td><td><input type="text" name="tytul" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Utwórz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="strony-utworz" />
    </form>
<?php
}

// panel użytkownika - edycja
elseif($a == 'edycja') {
  if (file_exists('dane/strony/'.$_GET['id'])) {
    $tytul = dane_o('strony/'.$_GET['id'].'/tytul');
    $typ = dane_o('strony/'.$_GET['id'].'/typ');
    $glowne = explode('<WT>',dane_o('ustawienia/glowne'));
    if ($glowne[5] == 'tak') $dodac = '/'; else $dodac = '?id=';
?>
    <h2>Edycja &mdash; <a href="<?php echo $glowne[3]; echo ($_GET['id'] != 'strona-glowna') ? $dodac.$_GET['id'] : ''; ?>" target="_blank" class="tytul" title="Kliknij, aby zobaczyć jak wygląda aktualnie ta strona."><?php echo $tytul ?></a></h2>
<?php
    if ($typ == 'strona') {
      $tresc = dane_o('strony/'.$_GET['id'].'/strona');
      edytor();
?>
    <form method="post">
      <table>
        <caption>Treść strony</caption>
        <tr><td><textarea class="tresc" name="tresc" id="edytor"><?php echo $tresc ?></textarea></td></tr>
        <tr><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-strona-tresc" />
    </form>
<?php
    }
    elseif ($typ == 'galeria') {
?>
    <form method="post">
      <table class="lista">
        <caption>Lista dodanych zdjęć</caption>
        <tr><th>Nazwa pliku</th><th class="mniejsze">Rozmiar</th><th class="mniejsze">Usuń</th></tr>
<?php
  $cala_galeria = explode('<WT>',dane_o('strony/'.$_GET['id'].'/galeria'));
  if (count($cala_galeria) == 1)
    echo '        <tr><td>Nie dodano zdjęć.</td></tr>';
  else {
    for($a=1;$a<count($cala_galeria);$a++) {
      if (!empty($cala_galeria[$a])) {
        $bez_ukosnika = str_replace('/','',$cala_galeria[$a]);
        $rozmiar = @strstr((filesize('dane/galerie/'.$_GET['id']."/$bez_ukosnika") * 0.0009765625),'.', true);
        if (!$rozmiar) $rozmiar = "<span title=\"Aby wyświetlić rozmiar pliku należy zaktualizować PHP przynajmniej do wersji 5.3.0.\">?</span>";
        echo "        <tr><td><a href=\"dane/galerie/".$_GET['id'].'/'.$bez_ukosnika."\"  class=\"menu\" target=\"_blank\">$bez_ukosnika</a></td><td class=\"mniejsze\">$rozmiar KB</td><td class=\"mniejsze\"><input type=\"radio\" name=\"usun\" value=\"$bez_ukosnika\" title=\"Tej czynności nie można cofnąć!\" /></td></tr>\n";
      }
    }
  }
?>
        <tr><td>&nbsp;</td><td>&nbsp;</td><td class="mniejsze"><input type="submit" value="Usuń" title="Tej czynności nie można cofnąć!" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-galeria-usun" />
    </form>
    <form method="post" enctype="multipart/form-data">
      <table>
        <caption>Dodaj nowe zdjęcie</caption>
        <tr><td>Wybierz plik:</td><td><input type="file" name="plik" /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Dodaj" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-galeria-dodaj" />
    </form>
<?php
    }
    elseif ($typ == 'miniblog') {
      edytor();
?>
    <form method="post">
      <table>
        <caption>Dodaj nowy wpis</caption>
        <tr><td><textarea class="tresc t-miniblog" name="tresc" id="edytor"><?php echo $tresc ?></textarea></td></tr>
        <tr><td><input type="submit" value="Dodaj" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-miniblog-dodaj" />
    </form>
    <form method="post">
      <table class="lista">
        <caption>Lista istniejących wpisów</caption>
        <tr><th>Treść</th><th class="mniejsze">Data</th><th class="mniejsze">Usuń</th></tr>
<?php
      $caly_miniblog = explode('<WT>',dane_o('strony/'.$_GET['id'].'/miniblog'));
      if (count($caly_miniblog) == 1)
        echo '        <tr><td>Nie dodano wpisów.</td></tr>';
      else {
        for($a=count($caly_miniblog);$a>0;$a--) {
          if (!empty($caly_miniblog[$a])) {
            $bez_ukosnika = str_replace('/','',$caly_miniblog[$a]);
            $caly_wpis = explode('<WT>',dane_o('miniblogi/'.$_GET['id'].'/'.$bez_ukosnika));
            $tresc = strip_tags($caly_wpis[0]);   $data = $caly_wpis[1];
            if (strlen($tresc) <= 50)   $skrot = $tresc;  else $skrot = substr($tresc,0,50).'...';
            echo "        <tr><td title=\"$tresc\">$skrot</a></td><td class=\"mniejsze mniejsze-data\">$data</td><td class=\"mniejsze\"><input type=\"radio\" name=\"usun\" value=\"$bez_ukosnika\" title=\"Tej czynności nie można cofnąć!\" /></td></tr>\n";
          }
        }
      }
?>
        <tr><td>&nbsp;</td><td>&nbsp;</td><td class="mniejsze"><input type="submit" value="Usuń" title="Tej czynności nie można cofnąć!" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-miniblog-usun" />
    </form>
<?php
    }
    elseif ($typ == 'kontakt') {
      $cale_kontakt = explode('<WT>',dane_o('strony/'.$_GET['id'].'/kontakt'));
?>
    <form method="post">
      <table>
        <caption>Ustawienia formularza kontaktowego</caption>
        <tr><td>Napis nad formularzem:</td><td><input type="text" name="napis-nad-formularzem" value="<?php echo $cale_kontakt[0] ?>" /></td></tr>
        <tr><td>Adres e-mail:</td><td><input type="email" name="adres-email" value="<?php echo $cale_kontakt[1] ?>" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-kontakt-formularz" />
      <p class="pomoc">Jeśli formularz nie będzie działał prawidłowo, skontaktuj się z administratorem hostingu i zapytaj o funkcję <code class="p">mail()</code>.</p>
    </form>
    <form method="post">
      <table>
        <caption>Profile w portalach społecznościowych</caption>
        <tr><td>Profil na Facebooku:</td><td><input type="url" name="profil-facebook" value="<?php echo $cale_kontakt[2] ?>" /></td></tr>
        <tr><td>Profil na NK:</td><td><input type="url" name="profil-nk" value="<?php echo $cale_kontakt[3] ?>" /></td></tr>
        <tr><td>Profil na Blipie:</td><td><input type="url" name="profil-blip" value="<?php echo $cale_kontakt[4] ?>" /></td></tr>
        <tr><td>Profil na Twitterze:</td><td><input type="url" name="profil-twitter" value="<?php echo $cale_kontakt[5] ?>" /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-kontakt-portale" />
      <p class="pomoc">Aby nie umieścić linku do wybranego portalu, pozostaw jego pole puste.</p>
    </form>
<?php
    }
?>
    <form method="post">
      <table>
        <caption>Ustawienia strony</caption>
        <tr><td>Typ:</td><td><label><input type="radio" name="typ" value="bez-zmian" checked /> bez zmian</label><br /><label title="Zwykła statyczna strona."><input type="radio" name="typ" value="strona" /> strona</label> <label title="Strona zawierająca efektowną galerię ze zdjęciami."><input type="radio" name="typ" value="galeria"/> galeria</label> <label title="Strona zawierająca kolejne krótkie wpisy."><input type="radio" name="typ" value="miniblog"/> miniblog</label>  <label title="Strona z formularzem kontaktowym."><input type="radio" name="typ" value="kontakt"/> kontakt</label></td></tr>
        <tr><td>Tytuł:</td><td><input type="text" name="tytul" value="<?php echo $tytul ?>" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="edycja-ustawienia" />
      <p class="pomoc">Zmiana typu strony powoduje bezpowrotne usunięcie jej dotychczasowej zawartości!</p>
    </form>
<?php
  }
  else {
?>
    <h2>Edycja</h2>
    <p>Nie można edytować tej strony w panelu użytkownika, ponieważ strona o identyfikatorze <strong>&#8222;<?php echo $_GET['id'] ?>&#8221;</strong> nie istnieje.</p>
<?php
  }
}

// panel użytkownika - ustawienia
elseif($a == 'ustawienia') {
$glowne = explode('<WT>',dane_o('ustawienia/glowne'));
$google = explode('<WT>',dane_o('ustawienia/google'));
$uzytkownik = explode('<WT>',dane_o('ustawienia/uzytkownik'));
?>
    <h2>Ustawienia</h2>
    <form method="post">
      <table>
        <caption>Ustawienia główne strony</caption>
        <tr><td>Tytuł strony:</td><td><input type="text" name="tytul" value="<?php echo $glowne[0] ?>" required /></td></tr>
        <tr><td>Układ tytułu:</td><td><input type="text" name="uklad-tytulu" value="<?php echo $glowne[1] ?>" required /></td></tr>
        <tr><td>Autor strony:</td><td><input type="text" name="autor" value="<?php echo $glowne[2] ?>" required /></td></tr>
        <tr><td>Adres strony:</td><td><input type="url" name="adres" value="<?php echo $glowne[3] ?>" required /></td></tr>
        <tr><td>Format daty i godziny:</td><td><input type="text" name="data-godzina" value="<?php echo $glowne[4] ?>" required /></td></tr>
        <tr><td>&nbsp;</td><td><label><input type="checkbox" name="przyjazne-adresy" value="tak" <?php echo ($glowne[5] == 'tak') ? 'checked' : '' ?> /> przyjazne adresy</label></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="adres-stary" value="<?php echo $glowne[3] ?>" />
      <input type="hidden" name="formularz" value="ustawienia-glowne" />
      <p class="pomoc">Adres strony powinien zaczynać się od <em class="p">http://</em> i nie powinien kończyć się ukośnikiem!<br />Przyjazne adresy nie zawierają niepotrzebnych znaków, np. zamiast www.jankowalski.pl/?id=kontakt, działa adres www.jankowalski.pl/kontakt.<br />Zmiana daty nie wpływa na istniejące już wpisy w miniblogach. Format daty powinien być zgodny z funkcją <code class="p">date()</code>. Dokumentacja na stronie <a href="http://www.php.net/manual/pl/function.date.php" target="_blank">www.php.net</a>.</p>
    </form>
    <form method="post">
      <table>
        <caption>Ustawienia związane z Google</caption>
        <tr><td>Opis strony:</td><td><input type="text" name="opis" value="<?php echo $google[0] ?>" /></td></tr>
        <tr><td>Słowa kluczowe:</td><td><input type="text" name="slowa-kluczowe" value="<?php echo $google[1] ?>" /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="ustawienia-google" />
      <p class="pomoc">Aby dodać stronę do wyszukiwarki, należy uzupełnić powyższe pola i podać adres swojej witryny na stronie <a href="http://www.google.pl/addurl/" target="_blank">www.google.pl/addurl</a>.<br />Słowa kluczowe należy rodzielić przecinkami. Opis powinien mieć maks. 150 znaków.</p>
    </form>
    <form method="post">
      <table>
        <caption>Ustawienia użytkownika</caption>
        <tr><td><label><input type="checkbox" name="nicedit" value="tak" <?php echo ($uzytkownik[0] == 'tak') ? 'checked' : '' ?> /> edytor wizualny NicEdit</label></td><td><label><input type="checkbox" name="black" value="tak" <?php echo ($uzytkownik[1] == 'tak') ? 'checked' : '' ?> /> kontrastowa wersja panelu użytkownika</label></td></tr>
        <tr><td>&nbsp;</td><td><label><input type="checkbox" name="pomoc" value="tak" <?php echo ($uzytkownik[2] == 'tak') ? 'checked' : '' ?> /> ukryj podpowiedzi dla początkujących</label></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="ustawienia-uzytkownik" />
      <p class="pomoc">Przy korzystaniu z edytora wizualnego, aby strona wyświetlała się prawidłowo, przy tworzeniu każdego z akapitów, należy z menu <em class="p">Formatowanie</em> wybrać <em class="p">Akapit</em>.</p>
    </form>
    <form method="post">
      <table>
        <caption>Zmiana hasła</caption>
        <tr><td>Podaj nowe hasło:</td><td><input type="password" name="nowe-haslo-1" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="password" name="nowe-haslo-2" required /></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zmień hasło" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="ustawienia-nowe-haslo" />
    </form>
<?php
}

// panel użytkownika - wygląd
elseif($a == 'wyglad') {
$podstawowe = explode('<WT>',dane_o('wyglad/podstawowe'));
?>
    <h2>Wygląd</h2>
    <form method="post">
      <table>
        <caption>Podstawowe ustawienia</caption>
        <tr><td>Kolor tekstu:</td><td><input type="text" name="kolor-tekstu" class="mniejsze kolor"  value="<?php echo $podstawowe[0] ?>" required /></td></tr>
        <tr><td>Kolor tła:</td><td><input type="text" name="kolor-tla" class="mniejsze kolor" value="<?php echo $podstawowe[1] ?>" required /></td></tr>
        <tr><td>Szerokość strony:</td><td><input type="number" name="szerokosc" class="mniejsze" min="500" max="1500" step="25" value="<?php echo $podstawowe[2] ?>" required /></td></tr>
        <tr><td>Rozmiar czcionki:</td><td><input type="number" name="rozmiar-czcionki" class="mniejsze" min="5" max="30" value="<?php echo $podstawowe[3] ?>" required /></td></tr>
        <tr><td>Czcionka:</td>
        <td>
          <select name="czcionka">
            <option style="color: #FF5C2B;"><?php echo $podstawowe[4] ?></option>
              <optgroup label="Standardowe">
              <option>Calibri</option>
              <option>Georgia</option>
              <option>Helvetica</option>
              <option>Tahoma</option>
              <option>Times New Roman</option>
              <option>Trebuchet MS</option>
              <option>Verdana</option>
            </optgroup>
            <optgroup label="Google Web Fonts">
              <option>Anton</option>
              <option>Bevan</option>
              <option>Cantarell</option>
              <option>Crimson Text</option>
              <option>Crushed</option>
              <option>Droid Sans Mono</option>
              <option>Inconsolata</option>
              <option>Josefin Sans Std Light</option>
              <option>Lekton</option>
              <option>Luckiest Guy</option>
              <option>Merriweather</option>
            </optgroup>
          </select>
        </td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="wyglad-podstawowe" />
      <p class="pomoc">Wybranie czcionki z Google Web Fonts może minimalnie spowolnić ładowanie strony.</p>
    </form>
    <form method="post">
      <table>
        <caption>Zaawansowana edycja kodu</caption>
        <tr>
        <td class="kod">Kod szablonu strony:<br /><textarea name="php" class="kod" required><?php echo dane_o('wyglad/szablon'); ?></textarea><br /><label><input type="checkbox" name="domyslny-php" value="tak" /> przywróć domyślny</label></td>
        <td class="kod">Styl CSS:<br /><textarea name="css" class="kod" required><?php echo file_get_contents('dane/styl.css'); ?></textarea><br /><label><input type="checkbox" name="domyslny-css" value="tak" /> przywróć domyślny</label></td>
        </tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="wyglad-zaawansowane" />
      <p class="pomoc">W domyślnym szablonie, znacznik <code class="p">&lt;body&gt;</code> otrzymuje identyfikator, taki jak wyświetlana strona, co pozwala na dostosowywanie wyglądu tylko dla konkretnych podstron.</p>
    </form>
<?php
}

// panel użytkownika - statystyki
elseif($a == 'statystyki') {
  $podstawowe = explode('<WT>',dane_o('statystyki/podstawowe'));
  if (dane_o('statystyki/ostatnia_data') != date('dmY')) {
    $podstawowe[0] = 0;
    dane_s(date('dmY'),'statystyki/ostatnia_data');
  }
  dane_s(implode('<WT>',$podstawowe),'statystyki/podstawowe');
  $licznik = explode('<WT>',dane_o('statystyki/licznik'));
?>
    <h2>Statystyki</h2>
    <table>
      <caption>Podstawowe statystyki</caption>
      <tr><td>Dzisiaj stronę odwiedziło:</td><td><?php echo $podstawowe[0].' '; if ($podstawowe[0] == 1) echo 'osoba'; elseif ($podstawowe[0] == 2 or $podstawowe[0] == 3 or $podstawowe[0] == 4) echo 'osoby'; else echo 'osób'; ?></td></tr>
      <tr><td>Data ostatnich odwiedzin:</td><td><?php echo $podstawowe[1] ?></td></tr>
      <tr><td>W ogóle stronę odwiedziło:</td><td><?php echo $podstawowe[2].' '; if ($podstawowe[2] == 1) echo 'osoba'; elseif ($podstawowe[2] == 2 or $podstawowe[2] == 3 or $podstawowe[2] == 4) echo 'osoby'; else echo 'osób'; ?></td></tr>
    </table>
    <p class="pomoc">Do wbudowanych statystyk nie są wliczane Twoje wyświetlenia strony.</p>
    <form method="post">
      <table>
        <caption>Licznik odwiedzin</caption>
        <tr><td>Tekst licznika:</td><td><input type="text" name="tekst-licznika" value="<?php echo $licznik[0] ?>" /></td></tr>
        <tr><td>&nbsp;</td><td><label><input type="checkbox" name="wlaczony" value="tak" <?php echo ($licznik[1] == 'tak') ? 'checked' : '' ?> /> pokazuj na stronie</label></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="statystyki-licznik" />
      <p class="pomoc">Ten licznik pokazuje ilość odwiedzin wskazywaną tylko przez wbudowane statystyki.</p>
    </form>
    <form method="post">
      <table>
        <caption>Zewnętrzne statystyki</caption>
        <tr><td class="kod">Kod zewnętrznych statystyk:</td><td><textarea name="kod-zewnetrznych-statystyk" class="kod" style="height: 100px;"><?php echo dane_o('statystyki/zewnetrzne') ?></textarea></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="Zapisz" /></td></tr>
      </table>
      <input type="hidden" name="formularz" value="statystyki-zewnetrzne" />
      <p class="pomoc">Jeśli chcesz skorzystać z zewnętrznych statystyk (np. Google Analytics) musisz wstawić na stronę kod śledzenia. Wklej go tutaj.</p>
    </form>
<?php
}

// panel użytkownika - powitanie
elseif($a == 'powitanie') {
?>
    <h2>Witaj!</h2>
    <p>Właśnie pomyślnie zainstalowano WizyTówkę!</p>
    <p>WizyTówka pozwoli Ci stworzyć stronę internetową z nieograniczoną ilością podstron, z&nbsp;efektownymi galeriami zdjęć, z prostymi miniblogami oraz z formularzami kontaktowymi. Możesz też zarządzać kolorystyką i wyglądem witryny.</p>
    <p>Rozpocznij korzystanie z systemu już teraz! Na początek <a href="?a=edycja&amp;id=strona-glowna&amp;kod=<?php echo $_GET['kod'] ?>">uzupełnij swoją stronę główną</a>.</p>
    <p>Zwykle, aby zarządzać swoją witryną, należy otwierać stronę znajdującą się pod adresem: <br /><a href="admin.php" style="color: #DB3300; text-decoration: none;" target="_blank"><?php echo $glowne[3] ?>/admin.php</a>.<br /> Najlepiej zachować ten adres w zakładach przeglądarki internetowej.</p>
    <p>Życzę miłej pracy i zabawy z WizyTówką!</p>
    <p style="margin-top: 0; padding-top: 0; text-align: right; font-style: italic;">&mdash; autor, Tomasz Gąsior</p>
<?php
}

// panel użytkownika - licencja
elseif($a == 'licencja') {
?>
    <h2>Licencja</h2>
    <ol>
      <li>Użytkownik instalując i używając tego oprogramowania, akceptuje niniejszą licencję.</li>
      <li>WizyTówka jest wolnym oprogramowaniem, co oznacza, że Użytkownik ma prawo do używania go w dowolnym celu, kopiowania go, modyfikowania i udostępniania go.</li>
      <li>Użytkownik ma prawo do modyfikacji WizyTówki, jednak musi pozostawić informacje o autorach elementów wykorzystanych w produkcie oraz o autorze samej WizyTówki.</li>
      <li>WizyTówka udostępniana jest w Internecie za darmo i za korzystanie z niej nie mogą być pobierane opłaty, ani korzyści materialne.</li>
      <li>Autor dołożył starań, aby oprogramowanie działało prawidłowo, jednak nie ponosi on odpowiedzialności za szkody wynikające z korzystania z WizyTówki.</li>
      <li>Za treści publikowane za pomocą WizyTówki odpowiedzialność ponosi wyłącznie osoba, która je opublikowała.</li>
      <li>Autor WizyTówki zastrzega sobie prawo do zmiany treści licencji w kolejnych jej wersjach.</li>
    </ol>
<?php
}

// panel użytkownika - informacje
elseif($a == 'autorzy') {
?>
    <h2>Autorzy</h2>
    <p style="font-size: 18px;">WizyTówka &mdash; wersja 2.00 <span style="color: red;" title="To jest wersja testowa!">BETA</span> (25.08.2011 r.)<br /><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank" class="menu">www.wizytowka.tomaszgasior.kao.pl</a></h3>
    <table class="lista">
      <caption>Lista autorów</caption>
      <tr><th>Element</th><th>Autor</th></tr>
      <tr><td><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank" class="menu">WizyTówka</a></td><td><a href="http://tomaszgasior.kao.pl" target="_blank" class="menu">Tomasz Gąsior</a></td></tr>
      <tr><td><a href="http://led24.de/iconset" target="_blank" class="menu">LED Icon Set</a></td><td>Marcis Gasuns</td></tr>
      <tr><td><a href="http://galleria.aino.se" target="_blank" class="menu">Galleria</a></td><td><a href="http://www.aino.com" target="_blank" class="menu">Aino</a></td></tr>
      <tr><td><a href="http://nicedit.com" target="_blank" class="menu">NicEdit</a></td><td><a href="http://bkirchoff.com" target="_blank" class="menu">Brian Kirchoff</a></td></tr>
      <tr><td><a href="http://grafifor.pl/showthread.php?tid=663&amp;pid=5657" target="_blank" class="menu">ikony portali społecznościowych</a></td><td><a href="http://grafifor.pl/member.php?action=profile&amp;uid=10" target="_blank" class="menu">Maciek Bakowicz</a></td></tr>
      <tr><td><a href="http://jscolor.com" target="_blank" class="menu">JSColor</a></td><td><a href="http://odvarko.cz" target="_blank" class="menu">Jan Odvárko</a></td></tr>
      <tr><td><a href="http://jquery.com" target="_blank" class="menu">jQuery</a></td><td><a href="http://jquery.org/team/" target="_blank" class="menu">The jQuery Project</a></td></tr>
    </table>
<?php
}

// panel użytkownika - pomoc
elseif($a == 'pomoc') {
?>
    <h2>Pomoc</h2>
    <ul>
      <li><strong>Dlaczego moja strona źle wyświetla się w Internet Explorerze?</strong><br />Ta przeglądarka internetowa w wersji szóstej (którą wydano prawie 10 lat temu) nie obsługuje najnowszych standardów HTML5, dlatego WizyTówka źle w niej działa, jednak w najnowszej, dziewiątej wersji Internet Explorera problem nie występuje.</li>
      <li><strong>Dlaczego nie działa formularz kontaktowy?</strong><br />WizyTówka do wysyłania wiadomości e-mail wykorzystuje funkcję <code>mail()</code>. W niektórych hostingach jest ona zablokowana lub wymaga przed użyciem odpowiedniego ustawienia. Aby dowiedzieć się, co zrobić, skontaktuj się z pomocą techniczną hostingu.</li>
      <li><strong>Jak wykonać kopię zapasową strony?</strong><br />WizyTówka wszystkie swoje ustawienia i treść stron (zdjęcia i wpisy) przechowuje w folderze <code>dane</code>. Wykonanie kopii polega na pobraniu tego właśnie folderu na komputer przy pomocy klienta FTP. Przy przywracaniu kopii należy normalnie zainstalować WizyTówkę, a następnie podmienić folder <code>dane</code> na własny.</li>
      <li><strong>Dlaczego po włączeniu przyjaznych adresów strona przestaje działać?</strong><br />Aby przyjazne adresy działały, WizyTówka musi mieć możliwość utworzenia pliku <code>.htaccess</code>. Na niektórych serwerach jest to niemożliwe. W takim wypadku nie można skorzystać z tej opcji i należy ją wyłączyć.</li>
      <li><strong>Co zrobić, jeśli wbudowane statystyki mi nie wystarczają?</strong><br />Jeśli potrzebujesz więcej informacji, skorzystaj z zewnętrznej usługi np. <a href="http://stat.4u.pl/" target="_blank">Stat4u</a>. Aby rozpocząć, należy się zarejestrować na stronie, a następnie wstawić odpowiedni kod na podstronie <em>Statystyki</em> w WizyTówce.</li>
      <li><strong>Nie podobają mi się ikony portali społecznościowych, jak je zmienić?</strong><br />Aby zmienić ikony portali na własne, należy podmienić pliki w katalogu <code>system/img/s</code> za pomocą klienta FTP. Nie powinno się używać ikon, do których nie posiada się praw autorskich.</li>
      <li><strong>Jak zgłosić błąd lub zaproponować zmiany?</strong><br />Aby skontaktować się z autorem, należy skorzystać z formularza na stronie <a href="http://tomaszgasior.kao.pl/kontakt" target="_blank">www.tomaszgasior.kao.pl/kontakt</a>.</li>
    </ul>
<?php
}

// panel użytkownika - błąd
else {
?>
    <h2>Błędny adres</h2>
    <p>Nie można wyświetlić strony w panelu użytkownika, ponieważ nie istnieje strona <strong>&#8222;<?php echo $_GET['a'] ?>&#8221;</strong>.</p>
<?php
}