<?php
// WizyTówka - funkcje.php

// otwieranie pliku
function dane_o($plik) {
  $zwroc = file_get_contents('dane/'.$plik.'.txt');
  return $zwroc;
}

// zapisywanie do pliku
function dane_s($tresc,$plik) {
  fwrite(fopen('dane/'.$plik.'.txt','w'),$tresc);
}

// resetowanie ustawień
function dane_reset() {
  fwrite(fopen('dane/.htaccess','w'),'Options -Indexes');
  if (!file_exists('dane/galerie')) { mkdir('dane/galerie'); fwrite(fopen('dane/galerie/.htaccess','w'),'Options -Indexes'); }
  if (!file_exists('dane/miniblogi')) { mkdir('dane/miniblogi'); fwrite(fopen('dane/miniblogi/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/statystyki')) { mkdir('dane/statystyki'); fwrite(fopen('dane/statystyki/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/strony')) { mkdir('dane/strony'); fwrite(fopen('dane/strony/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/ustawienia')) { mkdir('dane/ustawienia'); fwrite(fopen('dane/ustawienia/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/uzytkownik')) { mkdir('dane/uzytkownik'); fwrite(fopen('dane/uzytkownik/.htaccess','w'),'Deny from all'); }
  if (!file_exists('dane/wyglad')) { mkdir('dane/wyglad'); fwrite(fopen('dane/wyglad/.htaccess','w'),'Deny from all'); }
  // ---------------------------------------------------------------------
  dane_s('Stronę odwiedziło już <LICZNIK> osób.<WT>tak','statystyki/licznik');
  dane_s('','statystyki/ostatnia_data');
  dane_s('','statystyki/ostatnie_ip');
  dane_s('0<WT>—<WT>0','statystyki/podstawowe');
  dane_s('','statystyki/zewnetrzne');
  // ------------------------------------------
  dane_s('<WT>','strony/kolejnosc');
  if (!file_exists('dane/strony/strona-glowna')) { mkdir('dane/strony/strona-glowna'); }
  dane_s('strona','strony/strona-glowna/typ');
  dane_s('Strona główna','strony/strona-glowna/tytul');
  dane_s('<h2>Strona główna</h2><p>To jest przykładowa strona główna. Możesz tutaj napisać coś o sobie.</p>','strony/strona-glowna/strona');
  // ------------------------------------------
  dane_s('<WT><TYTUŁ-PODSTRONY><WT><WT><WT>d.m.Y, h:i<WT>','ustawienia/glowne');
  dane_s('<WT>','ustawienia/google');
  dane_s('tak<WT><WT>','ustawienia/uzytkownik');
  // ------------------------------------------
  dane_s('','uzytkownik/haslo');
  dane_s('','uzytkownik/kod');
  // ------------------------------------------
  dane_s('FF3C00<WT>FDFFDB<WT>600<WT>16<WT>Helvetica','wyglad/podstawowe');
  dane_s(file_get_contents('system/domyslne/szablon.txt'),'wyglad/szablon');
  // ------------------------------------------
  fwrite(fopen('dane/styl.css','w'),file_get_contents('system/domyslne/styl.css'));
}

// upraszczanie nazwy (usuwanie polskich znaków, spacji)
function prosta_nazwa($nazwa) {
  $z[0] = 'ż'; $na[0] = 'z';  $z[1] = 'ó'; $na[1] = 'o';  $z[2] = 'ł'; $na[2] = 'l';  $z[3] = 'ć'; $na[3] = 'c';  $z[4] = 'ę'; $na[4] = 'e';
  $z[5] = 'ś'; $na[5] = 's';  $z[6] = 'ą'; $na[6] = 'a';  $z[7] = 'ź'; $na[7] = 'z';  $z[8] = 'ń'; $na[8] = 'n';
  $z[9] = 'Ż'; $na[9] = 'z';  $z[10] = 'Ó'; $na[10] = 'o';  $z[11] = 'Ł'; $na[11] = 'l';  $z[12] = 'Ć'; $na[12] = 'c';  $z[13] = 'Ę'; $na[13] = 'e';
  $z[14] = 'Ś'; $na[14] = 's';  $z[15] = 'Ą'; $na[15] = 'a';  $z[16] = 'Ź'; $na[16] = 'z';  $z[17] = 'Ń'; $na[17] = 'n';
  $z[18] = ' '; $na[18] = '-';  $z[19] = ','; $na[19] = '';  $z[20] = '!'; $na[20] = '';  $z[21] = '?'; $na[21] = '';
  $zwroc = str_replace($z,$na,strtolower($nazwa));
  return $zwroc;
}

// edytor NicEdit 
function edytor() {
  $uzytkownik = explode('<WT>',dane_o('ustawienia/uzytkownik'));
  if ($uzytkownik[0] == 'tak') {
    echo "    <script type=\"text/javascript\">
      bkLib.onDomLoaded(function() {
        new nicEditor({buttonList : ['bold','italic','underline','left','center','right','justify','ul','ol','link','unlink','image','fontFormat','indent','outdent','bgcolor','hr','removeformat','xhtml'], iconsPath : 'system/img/nicEditorIcons.gif', xhtml : true}).panelInstance('edytor');
      });
    </script>\n";
  }
}